Package com.avaya.clientservices.common

## Enum PushNotificationEncryptionInfo.PushNotificationEncryptionScheme

- java.lang.Object
- - java.lang.Enum<PushNotificationEncryptionInfo.PushNotificationEncryptionScheme>
  - - com.avaya.clientservices.common.PushNotificationEncryptionInfo.PushNotificationEncryptionScheme

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<PushNotificationEncryptionInfo.PushNotificationEncryptionScheme>`
  Enclosing class:
    PushNotificationEncryptionInfo

      public static enum PushNotificationEncryptionInfo.PushNotificationEncryptionScheme
      extends java.lang.Enum<PushNotificationEncryptionInfo.PushNotificationEncryptionScheme>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AES128_CBC_PKCS5_PADDING` | Represents encryption scheme "AES-128/CBC/PKCS5Padding".
    `AES128_ECB_PKCS5_PADDING` | Represents encryption scheme "AES-128/ECB/PKCS5Padding".
    `AES256_CBC_PKCS5_PADDING` | Represents encryption scheme "AES-256/CBC/PKCS5Padding".

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PushNotificationEncryptionInfo.PushNotificationEncryptionScheme` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static PushNotificationEncryptionInfo.PushNotificationEncryptionScheme[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AES128_ECB_PKCS5_PADDING

          public static final PushNotificationEncryptionInfo.PushNotificationEncryptionScheme AES128_ECB_PKCS5_PADDING

      Represents encryption scheme "AES-128/ECB/PKCS5Padding".

    - #### AES128_CBC_PKCS5_PADDING

          public static final PushNotificationEncryptionInfo.PushNotificationEncryptionScheme AES128_CBC_PKCS5_PADDING

      Represents encryption scheme "AES-128/CBC/PKCS5Padding".

    - #### AES256_CBC_PKCS5_PADDING

          public static final PushNotificationEncryptionInfo.PushNotificationEncryptionScheme AES256_CBC_PKCS5_PADDING

      Represents encryption scheme "AES-256/CBC/PKCS5Padding".

  - ### Method Detail

    - #### values

          public static PushNotificationEncryptionInfo.PushNotificationEncryptionScheme[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PushNotificationEncryptionInfo.PushNotificationEncryptionScheme c : PushNotificationEncryptionInfo.PushNotificationEncryptionScheme.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PushNotificationEncryptionInfo.PushNotificationEncryptionScheme valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null